Name:           perl-Starlet
Version:        0.13
Release:        2%{?dist}
Summary:        Simple, high-performance PSGI/Plack HTTP server
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Starlet/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZUHO/Starlet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  /usr/bin/start_server
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Parallel::Prefork) >= 0.07
BuildRequires:  perl(Plack) >= 0.992
BuildRequires:  perl(Server::Starter) >= 0.06
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::TCP) >= 0.15
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%if 0%fedora < 15
# Fedora < 15's rpm misses these:
Requires:        perl(Plack::Handler::Starlet)
Requires:        perl(Starlet::Server)
%endif

%description
Starlet is a standalone HTTP/1.0 server with support for keep-alive, prefork,
graceful shutdown, hot deploy, fast HTTP processing, and is suitable for
running HTTP application servers behind a reverse proxy.

%prep
%setup -q -n Starlet-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Feb 27 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-2
- Add Requires: Fedora < 15's rpm misses.
- Add package reviewer's package description.
- Cosmetic spec cleanups.

* Wed Dec 22 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-1
- Initial Fedora package.
